Update AI chat settings
PUT
/api/settings/ai/chatSave Chat's settings.
Needs the ManageSettings permission.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/api/settings/ai/chat" \ -H "Content-Type: application/json" \ -d '{ "enabled": true, "model": null, "instructions": null, "maxToolCalls": 0, "maxReplyTokens": 0, "timeLimitSeconds": 0, "tools": null }'{ "enabled": true, "model": null, "baseModel": null, "instructions": null, "maxToolCalls": 0, "maxReplyTokens": 0, "timeLimitSeconds": 0, "aiEnabled": true, "tools": [ { "name": "string", "label": "string", "needs": [ "string" ], "onlyReads": true, "enabled": true } ], "briefs": true}